
   STRUCTURE br_BootResource,LIB_SIZE
		; This is a semaphore protecting against multitasking attacs
		; of the values below.
		; You MUST do an ObtainSemaphore() for writing or an
		; ObtainSemaphoreShared() for reading!!!!
		; Do an ReleaseSemaphore() after you are done.
		
		STRUCT br_Semaphore,SS_SIZE

		ULONG br_Private1
		ULONG br_Private2
		ULONG br_Mode	; See Mode flags below
		ULONG br_Reserved ; Don't touch! (yet)
		ULONG br_ChipReduce ; Reduce ChipMem (amount in bytes)
		ULONG br_FastReduce ; Reduce FastMem (amount in bytes)
		STRUCT br_BootName,32 ; BootDev, BSTR with NULL termination
		STRUCT br_RemoveNames,256 ; Chain of BSTR, terminated with NULL
		
		; Bitfield, defining which of the following monitor flags are valid
		UWORD br_MonitorFlags

		; Specs for the embedded DblNTSC.monitor
		UWORD br_HBSTRT
		UWORD br_HBSTOP
		UWORD br_VBSTRT
		UWORD br_VBSTOP
		UWORD br_MINCOL
		UWORD br_MINROW
		UWORD br_TOTROWS
		UWORD br_TOTCLKS
		UWORD br_BEAMCON0

      LABEL  br_SIZEOF ; Dont rely on this, size may grow in the future

;	Flag definitions for br_MonitorFlags, undefined bits are reserved!
;	Bit set means that the corresponding value is valid. 

	BITDEF BRM,HBSTRT,0
	BITDEF BRM,HBSTOP,1
	BITDEF BRM,VBSTRT,2
	BITDEF BRM,VBSTOP,3
	BITDEF BRM,MINCOL,4
	BITDEF BRM,MINROW,5
	BITDEF BRM,TOTROWS,6
	BITDEF BRM,TOTCLKS,7
	BITDEF BRM,BEAMCON0,8

; Flags for br_Mode
; All undefined bits are reserved.

	; GFX modes, DEFAULT = all bits unset
	BITDEF BR,OLD,0
	BITDEF BR,ECS,1
	BITDEF BR,BEST,2

	BITDEF BR,PAL,3 ; PAL set (ignored if VGA set)
	BITDEF BR,NOFAST,4 ; NOFASTMEM set
	BITDEF BR,NOCACHE,5 ; CACHE OFF set
	BITDEF BR,FORCECACHE,6 ; FORCECACHE set (ignored if CACHE OFF set)
	BITDEF BR,PATCHALERT,7 ; Patch DisplayAlert()
	BITDEF BR,VGA,8 ; VGA set
	BITDEF BR,VGAONLY,9 ; VGAONLY set
	BITDEF BR,LOADVGA,10 ; Always load VGA monitor
	BITDEF BR,BOOTMENU,11 ; Private use only


